spawn-fcgi(1)

NAME
spawn-fcgi - Spawns FastCGI processes

SYNOPSIS
spawn-fcgi -f <fcgiapp> -a <addr> -p port spawn-fcgi -s <path>

DESCRIPTION
spawn-fcgi spawns FASTCGI processes. This way any FASTCGI compliant application can be interfaced with Cherokee.

OPTIONS
spawn-fcgi accepts the following options:

-h  General usage instructions

-f <fcgiapp>
    Filename of the FastCGI application to spawn

-a <addr>
    IP address to bind to (for TCP/IP-based IPC)

-p <port>
    TCP port to bind to (for TCP/IP-based IPC)

-s <path>
    Path to the Unix-domain socket to bind to (for Unix sockets-based IPC)

-C <children>
    (PHP only) Number of children to spawn. Defaults to 5.

-F <children>
    Number of children to fork. Defaults to 1.

-P <path>
    Name of the PID file for spawned processes

-n  No forking should take place (for daemontools)

-v  Shows version information and exits

-c <dir>
    Chroot to specified directory (can only be invoked by root)

-u  User ID to change to (can only be invoked by root)

-g  Group ID to change to (can only be invoked by root)

SEE ALSO
cherokee-admin(8)

This program is a part of the Cherokee web server, cherokee(1)

AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, for the Debian GNU/linux system (but may be used by others).

Cherokee itself was written by Álvaro López Ortega <alvaro@alobbs.com>.